Skip to main content
GET
Lists all resource-attributes for a specific entity. Excludes archived by default.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity.entityId
string
required

Query Parameters

entity.entityType
enum<string>
default:RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED
required
Available options:
RESOURCE_ATTRIBUTE_ENTITY_TYPE_UNSPECIFIED,
RESOURCE_ATTRIBUTE_ENTITY_TYPE_ASSET,
RESOURCE_ATTRIBUTE_ENTITY_TYPE_CHANNEL,
RESOURCE_ATTRIBUTE_ENTITY_TYPE_RUN
includeArchived
boolean

Whether to include archived resource-attributes. Defaults to false.

pageSize
integer<int64>

The maximum number of resource-attributes to return. The service may return fewer than this value. If unspecified, at most 50 resource-attributes will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken
string

A page token, received from a previous ListResourceAttributesByEntity call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListResourceAttributesByEntity must match the call that provided the page token.

Response

A successful response.

resourceAttributes
object[]
nextPageToken
string